main {
    padding: 20px 0 !important;
}
.table thead th {
    padding: 10px 20px !important;
}

.excel-table th, .excel-table td {
    /*border: 1px solid #e2e8f0 !important;*/
    padding: 6px 8px;
    font-size: 15px;
    vertical-align: middle;
}
.excel-table thead th {
    font-weight: bold;
}
.excel-table .fw-bold {
    font-weight: 500;
}
.excel-table .text-end { text-align: right !important; }
.column-title {
    font-family: var(--font-sans);
    font-size: 16px !important;
    line-height: 1.4;
    color: #000;
    border-collapse: collapse;
    font-weight: var(--datatable-column-title-font-weight) !important;
}

.period-selector {
    .mb-3 {
        margin-bottom: 0.5rem !important;
    }
}
.container {
    /*max-width: 1200px;*/
    margin: 0 auto;
}
.btn-set .btn {
    margin-right: 10px;
}

.alert-danger {
    color: #721c24;
    background-color: #f8d7da;
    border-color: #f5c6cb;
    padding: 10px;
    margin-bottom: 15px;
}
.alert-info {
    color: #0c5460;
    background-color: #d1ecf1;
    border-color: #bee5eb;
    padding: 10px;
    margin-bottom: 15px;
}
.form-control {
    padding: 5px;
    margin: 5px 10px;
    width: auto;
}
.filter-group {
    display: inline-block;
    margin-right: 20px;
}
.filter-group label {
    display: block;
    font-size: 14px;
}
.table-controls {
    label {
        padding: 5px;
        margin-left: 10px;
        font-size: .9rem;
        color: #555;
    }
}
.table-controls label {
    margin-right: 10px;
}
.mb-8 {
    margin-bottom: 1rem !important;
}

.btn-has-data {
    background-color: #d4edda !important;  /* світло-зелений */
    color: #155724 !important;
    border-color: #c3e6cb !important;
    width: max-content;
}

.btn-no-data {
    background-color: #f8d7da !important;  /* світло-червоний */
    color: #721c24 !important;
    border-color: #f5c6cb !important;
    width: max-content;
}
.btn-primary-summary {
    background-color: #fff200 !important;
    color: black !important;
}
.btn-outline-secondary {
    margin-left: 2px;
    margin-right: 2px;
}

.btn-primary-summary.has-data {
    background-color: #28a745 !important;  /* темний зелений */
    color: white !important;
}

.btn-primary-summary.no-data {
    background-color: #dc3545 !important;  /* темний червоний */
    color: white !important;
}
.flex-no-wrap {
    display: flex;
    flex-wrap: nowrap;
    justify-content: center;
}
.table-header {
    background-color: white;
    font-size: 18px;
    font-weight: bold;
}

table#summary_info_table {
    /*margin-bottom: 5px !important;*/
}

.table tbody td {
    padding: 1px 15px !important;
}

.row {
    display: contents !important;
}



button.btn.btn-primary-summary.btn-no-data,
button.btn.btn-no-data,
button.btn.btn-outline-secondary.btn-has-data,
button.btn.btn-outline-secondary.btn-no-data {
    padding: 3px 10px !important;
}
.btn-no-data {
    margin-left: 2px !important;
    margin-right: 2px !important;
}
div#period-selector {
    padding-top: 15px;
}

.filter-group.table-controls {
    .mb-2 {
        padding-bottom: 0px !important;
        padding-top: 0px !important;
    }
}

div#datatable {
    margin-top: 3px !important;
}

div#error_messages {
    margin: 0 !important;
    padding: 0 !important;
}

.p-toolbar.p-component.mb-4 {
    margin-bottom: 3px !important;
    padding: 7px !important;
}

.mb-4.p-2.border-1.border-gray-200.border-round-md {
    margin-bottom: 3px !important;
}
.col-3 {
    padding: 5px !important;
}
.filters-panel {
    padding: 10px !important;
}

.applied-filters-bar{
    padding: 2px 10px; !important;
    margin-bottom: 1px !important;
}
.filters-panel {
    margin-bottom: 2px !important;
}
.filter-field label {
    margin-bottom: 0 !important;
}
.filters-grid {
    gap: 10px !important;
}
.mb-3 {
    margin-bottom: 0 !important;
}